/*******************************************************************************
 * Copyright (c) 2003, 2007 s IT Solutions AT Spardat GmbH .
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     s IT Solutions AT Spardat GmbH - initial API and implementation
 *******************************************************************************/

/*
 * @(#) $Id: WIN32Constants.java 2089 2007-11-28 13:56:13Z s3460 $
 *
 * 
 * 
 * 
 *
 */
package at.spardat.xma.pipes;

/**
 * @author s3460
 * @since version_number
 */
public class WIN32Constants {
    
public static final int NULL = 0;

public static final int INVALID_HANDLE_VALUE = -1;
    
//
//  Define the NamedPipe definitions
//


//
//  Define the dwOpenMode values for CreateNamedPipe
//

public static final int PIPE_ACCESS_INBOUND = 0x00000001;
public static final int PIPE_ACCESS_OUTBOUND = 0x00000002;
public static final int PIPE_ACCESS_DUPLEX = 0x00000003;   
    
//
//  Define the Named Pipe End flags for GetNamedPipeInfo
//

public static final int PIPE_CLIENT_END = 0x00000000;
public static final int PIPE_SERVER_END = 0x00000001;

//
//  Define the dwPipeMode values for CreateNamedPipe
//

 public static final int PIPE_WAIT = 0x00000000;
 public static final int PIPE_NOWAIT = 0x00000001;
 public static final int PIPE_READMODE_BYTE = 0x00000000;
 public static final int PIPE_READMODE_MESSAGE = 0x00000002;
 public static final int PIPE_TYPE_BYTE = 0x00000000;
 public static final int PIPE_TYPE_MESSAGE = 0x00000004;
 
//
//Define the well known values for CreateNamedPipe nMaxInstances
//

public static final int PIPE_UNLIMITED_INSTANCES = 255;

public static final int NMPWAIT_WAIT_FOREVER = 0xffffffff;
public static final int NMPWAIT_NOWAIT = 0x00000001;
public static final int NMPWAIT_USE_DEFAULT_WAIT = 0x00000000;

//
//MessageId: ERROR_SUCCESS
//
//MessageText:
//
//The operation completed successfully.
//
public static final int ERROR_SUCCESS = 0;

//
//MessageId: ERROR_PIPE_CONNECTED
//
//MessageText:
//
//There is a process on other end of the pipe.
//
public static final int ERROR_PIPE_CONNECTED = 535;

//
//MessageId: ERROR_PIPE_LISTENING
//
//MessageText:
//
//Waiting for a process to open the other end of the pipe.
//
public static final int ERROR_PIPE_LISTENING = 536;


//
// MessageId: ERROR_BAD_PIPE
//
// MessageText:
//
//  The pipe state is invalid.
//
public static final int ERROR_BAD_PIPE = 230;

//
// MessageId: ERROR_PIPE_BUSY
//
// MessageText:
//
//  All pipe instances are busy.
//
public static final int ERROR_PIPE_BUSY = 231;

//
// MessageId: ERROR_NO_DATA
//
// MessageText:
//
//  The pipe is being closed.
//
public static final int ERROR_NO_DATA = 232;

//
// MessageId: ERROR_PIPE_NOT_CONNECTED
//
// MessageText:
//
//  No process is on the other end of the pipe.
//
public static final int ERROR_PIPE_NOT_CONNECTED = 233;

//
// MessageId: ERROR_MORE_DATA
//
// MessageText:
//
//  More data is available.
//
public static final int ERROR_MORE_DATA = 234;    // dderror

//
//MessageId: ERROR_BROKEN_PIPE
//
//MessageText:
//
//The pipe has been ended.
//
public static final int ERROR_BROKEN_PIPE = 109;

//
//MessageId: ERROR_OPEN_FAILED
//
//MessageText:
//
//The system cannot open the
//device or file specified.
//
public static final int ERROR_OPEN_FAILED = 110;

    
}
