/*******************************************************************************
 * Copyright (c) 2003, 2007 s IT Solutions AT Spardat GmbH .
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     s IT Solutions AT Spardat GmbH - initial API and implementation
 *******************************************************************************/

/*
 * Created on 14.04.2004
 *
 * 
 * 
 */
package at.spardat.xma.security;

import javax.security.auth.Subject;
import javax.servlet.http.HttpSession;

/**
 * This is the extended Interface for LoginModuleServers which supports any
 * changes in the XMAContext after the first login. Such changes can be
 * user switches, mandant switches or similar.
 * 
 * @author s2877
 */
public interface LoginModuleServerWithContextChange extends LoginModuleServer {

    /**
     * Do the context change on the server. This typically 
     * validates the principals and credentials of the given subject.
     * @param subject the subject as returned by the corresponding LoginModule
     *      Any changes in the subject are send back to the client by the runtime.
     * @param session the HttpSession 
     * @return true if the subject is successfully verified
     *      false otherwise
     */
    boolean contextChanged(Subject subject, HttpSession session);
}
